import HocError from '@/Hoc/HocError'
import React, { useMemo } from 'react'
import { useModel } from 'umi'
import TableData from '../../components/TableData'
import { columns } from './tableConfig'


/**投手个人付费趋势表 */
function Page() {
    const { state: { dataSource }, getPitcherTrend } = useModel('useData.useTableData')
    //加工数据
    const data = useMemo(() => {
        if (dataSource) {
            return dataSource?.map((item: any, index: number) => {
                item['id'] = index
                return item
            })
        }
        return []
    }, [dataSource])
    //  //获取排序列表
    const sortArr = useMemo(() => {
        let arr: any[] = []
        columns().map((item: any) => {
            if (typeof item.title === 'string') {
                arr.push({ title: item.title, value: item.dataIndex, key: item.dataIndex })
            }
            if (typeof item.title === 'object' && typeof item.title.props.children[0] === 'string') {
                arr.push({ title: item.title, value: item.dataIndex, key: item.dataIndex })
            }
        })
        return arr
    }, [columns])
    return <>
        <TableData
            isUserId
            isAdmin
            isGroupTab={false}
            isTableDateArr
            isZj
            isDataSelectPitcher
            isCPitcher={false}
            sortArr={sortArr}
            columns={columns}
            dataSource={data}
            title='投手个人付费趋势表'
            scroll={{ x: 1000, y: 600 }}
            ajax={getPitcherTrend}
        />
    </>
}

export default HocError(Page)